Ubuntu升级内核

linux上面很多驱动和软件都是跟内核版本挂钩的,版本不匹配就会出现无法工作的情况。为了能使某些驱动和程序正常运作,有时候需要升级内核,甚至有时候还需要降级内核。

内核下载

直接访问以下网址下载目标版本的kernel: https://kernel.ubuntu.com/~kernel-ppa/mainline/ 此处我下载的版本是4.10.17

文章正文图片

根据自己处理器版本下载对应内核:(此处博主安装的64位系统,故下载amd64版本) 文章正文图片

至于generic和lowlatency,我们正常使用选择generic版本即可,两者在调度力度上会有些许区别,lowlatency版本直译过来为低延迟版本,频繁调度能增加响应速率,在一些实时性要求较高的场景可以选用该版本。但有舍有得,在带来快速响应的同时会加大系统开销,系统总体的吞吐量便会降低。

博主升级的目标版本:

linux-headers-4.10.17-041017-generic_4.10.17-041017.201705201051_amd64.deb
linux-headers-4.10.17-041017_4.10.17-041017.201705201051_all.deb
linux-image-4.10.17-041017-generic_4.10.17-041017.201705201051_amd64.deb

安装

下载好之后,进行安装:

sudo dpkg -i linux-headers* linux-image*

更新引导

sudo update-grub

然后重启计算机。 输入以下命令查看当前启用的内核版本:

uname -r

卸载无用的内核

列出已安装的内核:

sudo dpkg --get-selections |grep linux

文章正文图片

对于博主的电脑,可以看到,4.4.0相关的我都是不需要的 执行以下命令清除相关内容

sudo apt purge linux-headers-4.4.0-142 \
linux-headers-4.4.0-142-generic \
linux-image-4.4.0-142-generic \
linux-image-extra-4.4.0-142-generic \
linux-signed-image-4.4.0-142-generic

保险起见,再次更新下启动引导,然后重启计算机即可。

It's
欢迎访问本站,欢迎留言、分享、点赞。愿您阅读愉快!
*转载请注明出处,严禁非法转载。
https://www.devsong.org
QQ留言 邮箱留言
头像
引用:
取消回复
提交
涂鸦
涂鸦
热门